You are in:

Download

step 1: Submit the form below

step 2: You'll receive an email with
a download link for WordTalk

Requirements

  •  Microsoft Windows (all versions supported);
  •  Microsoft Word 2007 - 2016;
  •  Computer synthetic voice (SAPI 4 or 5).

Download form

WordTalk will only work with Windows.

  • required
  • required
  • required
  • required

Security question, please solve: